## marisa 0.2.4

=== debian/changelog ===
marisa (0.2.4-8build6) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:14:59 +0000

marisa (0.2.4-8build5) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:39:19 +0000

marisa (0.2.4-8build4) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 10:39:59 +0000

marisa (0.2.4-8build3) wily; urgency=medium

  * No-change rebuild to add ruby2.2 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 14:50:11 +0000

marisa (0.2.4-8build2) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:35 +0000

marisa (0.2.4-8build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 19:00:55 +0000

marisa (0.2.4-8) unstable; urgency=medium

  [debian/control]
  * add ruby as a new dependency for ruby-marisa (Closes: #759527)
    Thanks to Lucas Kanashiro for the report.
  * set Maintainer as pkg-ime and add Uploaders me
  * split multi lines Depends and Build-Depends

  [debian/copyright]
  * fix invalid copyright information

  [debian/patches/support-mips64el.patch]
  * fix ftbfs on mips64el (Closes: #762001)
    Thanks to YunQiang Su for the report.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Thu, 18 Sep 2014 01:16:29 +0900

marisa (0.2.4-7) unstable; urgency=medium

  * Fix missing link for libmarisa-perl
  * Fix FTBFS on s390x/sparc64 (Closes: #739126, #755560)
    Thanks to Aurelien Jarno and Guo Yixuan for the report.
  * Support DEP8/autopkgtest

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Thu, 31 Jul 2014 02:32:22 +0900

marisa (0.2.4-6) unstable; urgency=medium

  * support building with Ruby 2.0/2.1 (Closes:  #743989)
    Thanks to Christian Hofstaedtler for the report.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 13 Apr 2014 23:27:56 +0900

marisa (0.2.4-5) unstable; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el.
    Thanks to Logan Rosen for the report. (Closes: #736696)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 26 Jan 2014 15:13:59 +0900

marisa (0.2.4-4) unstable; urgency=low

  * Initial upload to Debian archive (Closes: #714453)
  * Added Vcs-Browser and Vcs-Git fields
  * Bump standards version to 3.9.5

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Thu, 21 Nov 2013 22:03:51 +0900

marisa (0.2.4-3) unstable; urgency=low

  * Updated patch for DEP3.
  * Auto generate version for python/setup.py.
  * Fixed install path for ruby bindings.
  * Exec extconf.rb after building libmarisa.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 17 Nov 2013 18:56:22 +0900

marisa (0.2.4-2) unstable; urgency=low

  * Fixed problems pointed out by sponsor.
    - Removed full stops from short descriptions.
    - Renamed perl package name as per Perl Policy §4.2.
    - Changed path of perl modules.
    - Refined compile options.
    - Fixed dpkg-gencontrol warnings.
    - Added manpages.
  * module-version-for-egg-inof.patch
    - For lintian4py warning, python module version in setup.py is specified.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Wed, 14 Aug 2013 19:29:20 +0900

marisa (0.2.4-1) unstable; urgency=low

  * Initial release (Closes: #714453)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sat, 29 Jun 2013 10:53:00 +0900
