=== debian/control ===
Source: marisa
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Mitsuya Shibata <mty.shibata@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               perl,
               python-all-dev (>= 2.6.6-3),
               python3-all-dev (>= 3.1.3-12),
               ruby,
               ruby-dev,
               swig
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/marisa-trie/
Vcs-Browser: https://github.com/m-shibata/marisa-dpkg
Vcs-Git: git://github.com/m-shibata/marisa-dpkg.git
XS-Testsuite: autopkgtest

Package: marisa
Section: utils
Architecture: any
Depends: libmarisa0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: commmand line tools for libmarisa
 Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
 and space-efficient trie data structure.
 .
 This package conteins commmand line tools for libmarisa.

Package: libmarisa0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ library to provide an implementation of MARISA
 Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
 and space-efficient trie data structure.
 .
 This package contains C++ library to provide an implementation of MARISA.

Package: libmarisa-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmarisa0 (= ${binary:Version}), ${misc:Depends}
Description: developement files for libmarisa
 Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
 and space-efficient trie data structure.
 .
 This package contains the files necessary for compiling programs that
 depend on MARISA.

Package: python-marisa
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: libmarisa0 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for MARISA
 Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
 and space-efficient trie data structure.
 .
 This package contains Python bindings for MARISA.

Package: python3-marisa
Section: python
Architecture: any
Depends: libmarisa0 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for MARISA
 Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
 and space-efficient trie data structure.
 .
 This package contains Python 3 bindings for MARISA.

Package: libmarisa-perl
Section: perl
Architecture: any
Multi-Arch: foreign
Depends: libmarisa0 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for MARISA
 Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
 and space-efficient trie data structure.
 .
 This package contains Perl bindings for MARISA.

Package: ruby-marisa
Section: ruby
Architecture: any
Multi-Arch: foreign
Depends: libmarisa0 (= ${binary:Version}),
         ruby,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby bindings for MARISA
 Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
 and space-efficient trie data structure.
 .
 This package contains Ruby bindings for MARISA.
