=== debian/tests/control ===
Tests: python3
Depends: python3-marisa

Tests: python2
Depends: python-marisa

Tests: perl
Depends: libmarisa-perl

Tests: ruby
Depends: ruby-marisa

Tests: build
Depends: libmarisa-dev, pkg-config, build-essential

Tests: tools
Depends: marisa
