=== debian/watch ===
version=3
http://code.google.com/p/marisa-trie/downloads/list?can=1 .*/marisa-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
