## marisa 0.2.5

=== debian/changelog ===
marisa (0.2.5-6build2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 02 Mar 2020 16:35:26 +0000

marisa (0.2.5-6build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:50 +0100

marisa (0.2.5-6) unstable; urgency=high

  * debian/tests/: Drop python2-related autopkgtest as well.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Dec 2019 12:23:38 -0500

marisa (0.2.5-5) unstable; urgency=medium

  * Drop python2 package. (Closes: #936993)
  * debian/rules: Use chrpath to delete all RPATH inside shared
    library files.

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Dec 2019 21:42:20 -0500

marisa (0.2.5-4) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/rules: Fix build around perl and gcc-9. Patch provided
    by Niko Tyni. (Closes: #942073)
  * Recover usage of dh_dwz again since the issue has been solved.

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Oct 2019 09:46:57 -0400

marisa (0.2.5-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.
  * debian/copyright: Fix incorrect license name. (Closes: #920663)
  * debian/patches: Backport upstream patches till 20181102.
  * debian/rules: Temporarily stop calling dh_dwz when building.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2019 11:46:44 -0400

marisa (0.2.5-2) unstable; urgency=medium

  * Rebuild against gcc 8.
  * debian/control:
    + Update my uploader email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Remove deprecated X-Python3-Version field.
    + Update Vcs-* fields and use the repo under input-method-team group.
  * debian/rules: Use architecture.mk to provide DEB_HOST_MULTIARCH var.

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Sep 2018 16:02:52 -0400

marisa (0.2.5-1) unstable; urgency=medium

  [ Mitsuya Shibata ]
  * add dh-python to Build-Depends
  * remove no longer needed XS-Testsuite field
  * fix typo

  [ Boyuan Yang ]
  * New upstream release with different upstream on GitHub.
    Closes: #900680.
  * debian: Apply "wrap-and-sort -abst" for unified format.
  * debian/control:
    - Add myself into uploaders list.
    - Bump Standards-Version to 4.1.4.
    - Add X-Python3-Version field as recommended.
    - Replace "Extra" package priority with "Optional" to fit policy
      requirement.
    - Use debian-input-method@lists.debian.org in maintainer field.
      Closes: #899868.
    - Fix typo in package description. Closes: #808276.
  * debian/copyright:
    - Refresh upstream copyright information.
    - Add information about my contribution to debian/ dir.
    - Use GitHub repository for upstream source field.
  * debian/watch:
    - Rewrite in v4 format.
    - Use GitHub s-yata/marisa-trie as upstream.
  * debian/rules:
    - Use "dh_missing --fail-missing".
    - Avoid manual invocation of dpkg-parsechangelog.
    - Enable full hardening.
    - Explicitly remove .la files with file installation.
  * debian/docs: Refresh file list.
  * debian/doc-base: Register HTML document for libmarisa-dev.
  * debian/shlibs: Add a libmarisa0.shlibs file to restrict lib
    dependency (>= 0.2.5).
  * debian/patches: Refresh patches.
    - Fix Alpha wordsize detection. Closes: #836374.
    - Add support for riscv64 wordsize detection. Closes: #898018.
    - Backport various commits from upstream trunk.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 05 Jun 2018 15:45:30 +0800
