## marisa 0.2.6

=== debian/changelog ===
marisa (0.2.6-9build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:28:46 +0000

marisa (0.2.6-9) unstable; urgency=high

  * debian/control: Restrict ruby version requirement to build-time
    ruby version using custom "ruby (>= ${ruby:Build-Version})" substvar
    to circumvent regression during ruby3.0-default transition.
    (Closes: #1006289)
  * debian/libmarisa0.symbols: Drop some disappeared optional symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Feb 2022 02:35:04 -0500

marisa (0.2.6-8) unstable; urgency=medium

  * Team upload
  * debian/libmarisa0.symbols:
    - Added some "optional" to make it build without changes on
      Ubuntu's ppc64el.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 17 Dec 2021 17:59:13 +0100

marisa (0.2.6-7) unstable; urgency=high

  * Reconfirm symbols using pkgkde-symbolshelper.
    (Closes: #997420)

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Oct 2021 14:23:12 -0400

marisa (0.2.6-5) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0.
  * Rebuild against GCC 11.
  * Refresh symbols with GCC 11 build again.
  * debian/control: Use dh-sequence-python3 as build-dependency.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Oct 2021 19:55:51 -0400

marisa (0.2.6-4) unstable; urgency=medium

  * Team upload
  * debian/libmarisa0.symbols:
    - Here we go again.. (for kfreebsd-amd64)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 18 Aug 2021 18:30:30 +0200

marisa (0.2.6-3) unstable; urgency=medium

  * Team upload
  * Symbols file refreshed again, this time for alpha (closes: #981488)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 15 Aug 2021 12:33:09 +0200

marisa (0.2.6-3~exp4) experimental; urgency=medium

  * Team upload
  * d/p/0004-Fix-wordsize-detection-for-x32-architecture.patch:
    - Tweaked the code a bit in a new attempt
  * Symbols file refreshing again, this time for ia64

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 10 Feb 2021 02:58:09 +0100

marisa (0.2.6-3~exp3) experimental; urgency=medium

  * Team upload
  * d/p/0004-Fix-wordsize-detection-for-x32-architecture.patch:
    - Attempt to fix FTBFS on x32 due to failed base-test
  * Further refresh of symbols file

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 08 Feb 2021 17:00:33 +0100

marisa (0.2.6-3~exp2) experimental; urgency=medium

  * Team upload
  * debian/libmarisa0.symbols, debian/control, debian/rules:
    - Use pkg-kde-tools to manage symbols file
  * Partial refresh of symbols file using buildd logs
    - It has not been built on some archs yet, but this upload makes it
      easier to proceed on the Ubuntu side (related to bug #981488).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 03 Feb 2021 13:41:40 +0100

marisa (0.2.6-3~exp1) experimental; urgency=medium

  * Team upload
  * Replace shlibs file with symbols file
    - This is the first step in fixing bug #981488. However, this
      version of the symbols file was created on amd64, and the upload
      will probably fail to build on most architectures. A refreshed
      symbols file will be needed to complete the measure.
  * Bump Standards-Version to 4.5.1

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 01 Feb 2021 09:22:38 +0100

marisa (0.2.6-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly.

  [ Boyuan Yang ]
  * Rebuild with python3.9 only setup.
  * Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Dec 2020 11:55:00 -0500

marisa (0.2.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.
  * debian/shlibs: Bump version accordingly.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jun 2020 09:56:03 -0400
