=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
  Mitsuya Shibata <mty.shibata@gmail.com>,
 Build-Depends:
  chrpath,
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  perl,
+ pkg-kde-tools,
  python3-all-dev,
  ruby,
  ruby-dev,
  swig,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/s-yata/marisa-trie
 Vcs-Browser: https://salsa.debian.org/input-method-team/marisa
@@ -94,7 +95,7 @@
 Multi-Arch: foreign
 Depends:
  libmarisa0 (= ${binary:Version}),
- ruby,
+ ruby (>= ${ruby:Build-Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Ruby bindings for MARISA
