=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 # Retrieve package version information
 include /usr/share/dpkg/pkg-info.mk
@@ -27,7 +27,7 @@
 
 
 %:
-	dh $@  --with python3
+	dh $@  --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure
@@ -80,5 +80,8 @@
 	# install ruby modules
 	cd bindings/ruby; make install DESTDIR=$(CURDIR)/debian/ruby-marisa
 
-override_dh_missing:
-	dh_missing --fail-missing
+# record minimum ruby version requirement
+# see https://bugs.debian.org/1006289
+override_dh_gencontrol:
+	dh_gencontrol -- \
+	        -V"ruby:Build-Version=$$(dpkg-query -f='$${Version}' -W ruby)"
