=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 export DEB_LDFLAGS_MAINT_APPEND =
 
 # Retrieve package version information
@@ -85,3 +85,19 @@
 override_dh_gencontrol:
 	dh_gencontrol -- \
 	        -V"ruby:Build-Version=$$(dpkg-query -f='$${Version}' -W ruby)"
+
+# hack to allow one to build twice
+# see https://bugs.debian.org/1047554, https://bugs.debian.org/1049679
+execute_before_dh_autoreconf:
+	cp -pR bindings bindings.bak
+	cp -pR tests tests.bak
+
+execute_after_dh_clean:
+	if [ -e bindings.bak ]; then \
+		rm -rf bindings; \
+		mv bindings.bak bindings; \
+	fi
+	if [ -e tests.bak ]; then \
+		rm -rf tests; \
+		mv tests.bak tests; \
+	fi
