=== debian/control ===
Source: marisa
Section: libs
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Mitsuya Shibata <mty.shibata@gmail.com>,
Build-Depends:
 chrpath,
 cmake (>= 3.22),
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 dh-sequence-python3,
 perl,
 perl-xs-dev,
 python3-all-dev,
 python3-setuptools,
 ruby,
 ruby-dev,
 swig,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/s-yata/marisa-trie
Vcs-Browser: https://salsa.debian.org/input-method-team/marisa
Vcs-Git: https://salsa.debian.org/input-method-team/marisa.git
Description: MARISA algorithm implementation library
 Matching Algorithm with Recursively Implemented StorAge (MARISA) is a static
 and space-efficient trie data structure.

Package: libmarisa-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmarisa1 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libmarisa
 ${source:Extended-Description}
 .
 This package contains the files necessary for compiling programs that
 depend on MARISA.

Package: libmarisa-perl
Section: perl
Architecture: any
Multi-Arch: foreign
Depends:
 libmarisa1 (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: Perl bindings for MARISA
 ${source:Extended-Description}
 .
 This package contains Perl bindings for MARISA.

Package: libmarisa1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ library to provide an implementation of MARISA
 ${source:Extended-Description}
 .
 This package contains C++ library to provide an implementation of MARISA.

Package: marisa
Section: utils
Architecture: any
Depends:
 libmarisa1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: command line tools for libmarisa
 ${source:Extended-Description}
 .
 This package contains command line tools for libmarisa.

Package: python3-marisa
Section: python
Architecture: any
Depends:
 libmarisa1 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python3 bindings for MARISA
 ${source:Extended-Description}
 .
 This package contains Python 3 bindings for MARISA.

Package: ruby-marisa
Section: ruby
Architecture: any
Multi-Arch: foreign
Depends:
 libmarisa1 (= ${binary:Version}),
 ruby (>= ${ruby:Build-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ruby bindings for MARISA
 ${source:Extended-Description}
 .
 This package contains Ruby bindings for MARISA.
