=== debian/tests/control ===
--- 
+++ 
@@ -1,8 +1,5 @@
 Tests: python3
 Depends: python3-marisa
-
-Tests: python2
-Depends: python-marisa
 
 Tests: perl
 Depends: libmarisa-perl
