=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%marisa-$1.tar.gz%" \
 https://github.com/s-yata/marisa-trie/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
